Subject: bug#39302: XFCE user cannot log out, shutdown, or reboot via GUI

From: Jesse Gibbons <[email-masked]>
Date: Sun, 26 Jan 2020 18:29:38 -0700

When I click "Applications->Log Out" it gives me the usual choice to
log out, shut down, reboot, etc. When I click an option other than
cancel, it closes the dialog, but does nothing. When I go back to
"Applications->Log Out", an error dialog pops up (screenshot attached).
It says,
Failed to run action "Log Out..."
GDBus.Error: xorg.xfce.SessionManager.Error.Failed: Session manager
must be in idle state when requesting a shutdown

Thus, xfce is unusable as a desktop.

I installed my current system with commit
a4ac25df71a5b397d0a8e758e53ea3ba8981ecda because (last I checked) after
that commit upower is broken (and thus guix system is practically
unusable on a laptop). 
-Jesse